PluginConfiguration (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class PluginConfiguration

- org.codehaus.groovy.grails.resolve.maven.aether.config.PluginConfiguration

- Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DependenciesConfiguration` | `ALL_SCOPES, SCOPE_BUILD, SCOPE_COMPILE, SCOPE_OPTIONAL, SCOPE_PROVIDED, SCOPE_RUNTIME, SCOPE_TEST`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginConfiguration (AetherDependencyManager dependencyManager)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addBuildDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer)`
    `void` | `addDependency(org.eclipse.aether.graph.Dependency dependency, groovy.lang.Closure customizer)`
    `void` | `build(java.lang.String pattern, groovy.lang.Closure customizer)`
    `void` | `compile(java.lang.String pattern, groovy.lang.Closure customizer)`
    `protected java.lang.String` | `getDefaultExtension()`
    `protected java.lang.String` | `getDefaultGroup()`
    `void` | `optional(java.lang.String pattern, groovy.lang.Closure customizer)`
    `void` | `provided(java.lang.String pattern, groovy.lang.Closure customizer)`
    `void` | `runtime(java.lang.String pattern, groovy.lang.Closure customizer)`
    `void` | `test(java.lang.String pattern, groovy.lang.Closure customizer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DependenciesConfiguration` | `addBuildDependency, addBuildDependency, addBuildDependency, addBuildDependencyToManager, addDependency, addDependency, addDependency, addDependencyToManager, agent, build, build, compile, compile, createDependencyForProperties, customizeDependency, environments, extractDependencyProperties, getDefaultExtension, getDefaultGroup, invokeForString, methodMissing, optional, optional, provided, provided, runtime, runtime, test, test`

- - ### Constructor Detail

    - #### PluginConfiguration(AetherDependencyManager dependencyManager)

  - ### Method Detail

    - #### @java.lang.Override void addBuildDependency(org.eclipse.aether.graph.Dependency dependency, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override void addDependency(org.eclipse.aether.graph.Dependency dependency, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override void build(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override void compile(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override protected java.lang.String getDefaultExtension()

    - #### protected java.lang.String getDefaultGroup()

    - #### @java.lang.Override void optional(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override void provided(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override void runtime(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)

    - #### @java.lang.Override void test(java.lang.String pattern, @groovy.lang.DelegatesTo(DependencyConfiguration) groovy.lang.Closure customizer)